コンテンツへスキップ

Query Availability

Fetch the availability of multiple products over a long period of time.

Parameters

perform_syncrequiredboolean

Whether to sync external calendars before fetching availability. Defaults to false

product_idsrequiredArray<uuid>

The product IDs to fetch availability for.

show_booked_asrequiredShowBookedAs

How to interpret confirmed bookings. Defaults to unavailable

show_closed_asrequiredShowClosedAs

How to interpret blocked / closed periods. Defaults to unavailable

show_pending_asrequired"CONFIRMED" | "TENTATIVE" | "CANCELLED"

How to interpret pending events. Defaults to TENTATIVE

Responses

200
Availability intervals per product
TypeScript
Array<{
  intervals: Array<{
    end: string;
    start: string;
    status: "available" | "booked" | "closed" | "pending" | "unavailable";
  }>;
  product_id: uuid;
}>
GET /availability
curl -X GET "https://api.bookingmood.com/v1/availability?product_id=00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "product_id": "00000000-0000-0000-0000-000000000000",
    "intervals": [
      {
        "start": "2026-10-30T23:41:45.710Z",
        "end": "2026-11-03T23:41:45.710Z",
        "status": "unavailable"
      },
      {
        "start": "2026-11-03T23:41:45.710Z",
        "end": "2027-02-07T23:41:45.710Z",
        "status": "available"
      }
    ]
  }
]

予約管理を自分でする。自分だけのビジネスを築き上げましょう。

Bookingmoodを活用して、直接予約を増やし、ゲストとのより強固な関係を築いている1200社以上の独立系バケーションレンタル事業者に加わりましょう。

無料の14日間トライアルを開始